<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
include 'class.upload.php';




for ($i=0; $i < 50; $i++) { 
    # code...



$num = count(glob("img1/*",GLOB_BRACE));

echo "<title>Kalan: ".$num."</title>";

echo "Kalan: ".$num;
echo "<br><br>";

if($num==0){
die();
}

// Resim Alma Başlangıç
        $resim     = glob("img1/*.{jpg,jpeg}",GLOB_BRACE);
        shuffle($resim);
        $file_name = $resim[0];

$newisim = str_replace("img1/","",$file_name);
$newisim2 = str_replace(".jpg","",$newisim);

        $image = new Upload($file_name);
    if ( $image->uploaded ) {
        // resmi yeniden adlandıralım
        $image->file_new_name_body = $newisim2."_thumb";
        // resmi jpg formatına convert edelim
        $image->image_convert = 'jpg';

        /**
         * Resmi Farklı Boyutta Kayıt Et
         */
        // yeniden farklı boyutta kayıt et (200x100)
        $image->image_resize          = true;
        $image->image_ratio_fill      = 'C';
        $image->image_y               = 200;
        $image->image_x               = 200;

        //$image->image_background_color = '#FFF';
        // sadece resim formatları yüklensin
        //$image->allowed = array ( 'image/*' );
        $image->allowed = array ( 'image/png', 'image/jpg', 'image/jpeg' );

        // upload klasörüne değişiklik yapmadan kayıt et
        $image->Process( 'img2/' );
        
        if ( $image->processed ) {
$fileMoved = unlink(getcwd()."/".$file_name);
echo $file_name;
echo "==> OK<br />";
        }
    }















if($i == 49){
    echo '<meta http-equiv="refresh" content="2">';
}





}

?>